--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 7.1.04i
--  \   \         Application : sch2vhdl
--  /   /         Filename : dotmatrixdriver1.vhf
-- /___/   /\     Timestamp : 12/19/2005 15:17:20
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:/Xilinx/bin/nt/sch2vhdl.exe -intstyle ise -family xbr -flat -suppress -w dotmatrixdriver1.sch dotmatrixdriver1.vhf
--Design Name: dotmatrixdriver1
--Device: xbr
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity D3_8E_MXILINX_dotmatrixdriver1 is
   port ( A0 : in    std_logic; 
          A1 : in    std_logic; 
          A2 : in    std_logic; 
          E  : in    std_logic; 
          D0 : out   std_logic; 
          D1 : out   std_logic; 
          D2 : out   std_logic; 
          D3 : out   std_logic; 
          D4 : out   std_logic; 
          D5 : out   std_logic; 
          D6 : out   std_logic; 
          D7 : out   std_logic);
end D3_8E_MXILINX_dotmatrixdriver1;

architecture BEHAVIORAL of D3_8E_MXILINX_dotmatrixdriver1 is
   attribute BOX_TYPE   : string ;
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
   component AND4B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B1 : component is "BLACK_BOX";
   
   component AND4B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B2 : component is "BLACK_BOX";
   
   component AND4B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B3 : component is "BLACK_BOX";
   
begin
   I_36_30 : AND4
      port map (I0=>A2,
                I1=>A1,
                I2=>A0,
                I3=>E,
                O=>D7);
   
   I_36_31 : AND4B1
      port map (I0=>A0,
                I1=>A2,
                I2=>A1,
                I3=>E,
                O=>D6);
   
   I_36_32 : AND4B1
      port map (I0=>A1,
                I1=>A2,
                I2=>A0,
                I3=>E,
                O=>D5);
   
   I_36_33 : AND4B2
      port map (I0=>A1,
                I1=>A0,
                I2=>A2,
                I3=>E,
                O=>D4);
   
   I_36_34 : AND4B1
      port map (I0=>A2,
                I1=>A0,
                I2=>A1,
                I3=>E,
                O=>D3);
   
   I_36_35 : AND4B2
      port map (I0=>A2,
                I1=>A0,
                I2=>A1,
                I3=>E,
                O=>D2);
   
   I_36_36 : AND4B2
      port map (I0=>A2,
                I1=>A1,
                I2=>A0,
                I3=>E,
                O=>D1);
   
   I_36_37 : AND4B3
      port map (I0=>A2,
                I1=>A1,
                I2=>A0,
                I3=>E,
                O=>D0);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity dotmatrixdriver1 is
   port ( Qa9  : in    std_logic; 
          Qa10 : in    std_logic; 
          Qa11 : in    std_logic; 
          Qa12 : in    std_logic; 
          Qa13 : in    std_logic; 
          Qa14 : in    std_logic; 
          dma1 : out   std_logic; 
          dma2 : out   std_logic; 
          dma3 : out   std_logic; 
          dma4 : out   std_logic; 
          dma5 : out   std_logic; 
          dmk1 : out   std_logic; 
          dmk2 : out   std_logic; 
          dmk3 : out   std_logic; 
          dmk4 : out   std_logic; 
          dmk5 : out   std_logic; 
          dmk6 : out   std_logic; 
          dmk7 : out   std_logic);
end dotmatrixdriver1;

architecture BEHAVIORAL of dotmatrixdriver1 is
   attribute HU_SET     : string ;
   attribute BOX_TYPE   : string ;
   signal XLXN_17 : std_logic;
   signal XLXN_18 : std_logic;
   signal XLXN_19 : std_logic;
   signal XLXN_20 : std_logic;
   signal XLXN_21 : std_logic;
   signal XLXN_22 : std_logic;
   signal XLXN_23 : std_logic;
   signal XLXN_24 : std_logic;
   signal XLXN_25 : std_logic;
   component D3_8E_MXILINX_dotmatrixdriver1
      port ( A0 : in    std_logic; 
             A1 : in    std_logic; 
             A2 : in    std_logic; 
             E  : in    std_logic; 
             D0 : out   std_logic; 
             D1 : out   std_logic; 
             D2 : out   std_logic; 
             D3 : out   std_logic; 
             D4 : out   std_logic; 
             D5 : out   std_logic; 
             D6 : out   std_logic; 
             D7 : out   std_logic);
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_2 : label is "XLXI_2_0";
   attribute HU_SET of XLXI_3 : label is "XLXI_3_1";
begin
   XLXI_2 : D3_8E_MXILINX_dotmatrixdriver1
      port map (A0=>Qa9,
                A1=>Qa10,
                A2=>Qa11,
                E=>XLXN_24,
                D0=>dma1,
                D1=>dma2,
                D2=>dma3,
                D3=>dma4,
                D4=>dma5,
                D5=>open,
                D6=>open,
                D7=>open);
   
   XLXI_3 : D3_8E_MXILINX_dotmatrixdriver1
      port map (A0=>Qa12,
                A1=>Qa13,
                A2=>Qa14,
                E=>XLXN_25,
                D0=>XLXN_17,
                D1=>XLXN_18,
                D2=>XLXN_19,
                D3=>XLXN_20,
                D4=>XLXN_21,
                D5=>XLXN_22,
                D6=>XLXN_23,
                D7=>open);
   
   XLXI_5 : INV
      port map (I=>XLXN_17,
                O=>dmk1);
   
   XLXI_6 : INV
      port map (I=>XLXN_18,
                O=>dmk2);
   
   XLXI_7 : INV
      port map (I=>XLXN_19,
                O=>dmk3);
   
   XLXI_8 : INV
      port map (I=>XLXN_20,
                O=>dmk4);
   
   XLXI_9 : INV
      port map (I=>XLXN_21,
                O=>dmk5);
   
   XLXI_10 : INV
      port map (I=>XLXN_22,
                O=>dmk6);
   
   XLXI_11 : INV
      port map (I=>XLXN_23,
                O=>dmk7);
   
   XLXI_13 : VCC
      port map (P=>XLXN_24);
   
   XLXI_14 : VCC
      port map (P=>XLXN_25);
   
end BEHAVIORAL;


