--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 7.1.04i
--  \   \         Application : sch2vhdl
--  /   /         Filename : top2.vhf
-- /___/   /\     Timestamp : 12/19/2005 15:16:16
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:/Xilinx/bin/nt/sch2vhdl.exe -intstyle ise -family xbr -flat -suppress -w top2.sch top2.vhf
--Design Name: top2
--Device: xbr
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_top2 is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_top2;

architecture BEHAVIORAL of FD_MXILINX_top2 is
   attribute BOX_TYPE   : string ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C,
                CLR=>XLXN_4,
                D=>D,
                PRE=>XLXN_4,
                Q=>Q);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD4_MXILINX_top2 is
   port ( C  : in    std_logic; 
          D0 : in    std_logic; 
          D1 : in    std_logic; 
          D2 : in    std_logic; 
          D3 : in    std_logic; 
          Q0 : out   std_logic; 
          Q1 : out   std_logic; 
          Q2 : out   std_logic; 
          Q3 : out   std_logic);
end FD4_MXILINX_top2;

architecture BEHAVIORAL of FD4_MXILINX_top2 is
   attribute HU_SET     : string ;
   component FD_MXILINX_top2
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : label is "U0_2";
   attribute HU_SET of U1 : label is "U1_1";
   attribute HU_SET of U2 : label is "U2_3";
   attribute HU_SET of U3 : label is "U3_0";
begin
   U0 : FD_MXILINX_top2
      port map (C=>C,
                D=>D0,
                Q=>Q0);
   
   U1 : FD_MXILINX_top2
      port map (C=>C,
                D=>D1,
                Q=>Q1);
   
   U2 : FD_MXILINX_top2
      port map (C=>C,
                D=>D2,
                Q=>Q2);
   
   U3 : FD_MXILINX_top2
      port map (C=>C,
                D=>D3,
                Q=>Q3);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FTCE_MXILINX_top2 is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCE_MXILINX_top2;

architecture BEHAVIORAL of FTCE_MXILINX_top2 is
   attribute BOX_TYPE       : string ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : component is "BLACK_BOX";
   
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : component is "BLACK_BOX";
   
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T,
                I1=>Q_DUMMY,
                O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>TQ,
                Q=>Q_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB2CE_MXILINX_top2 is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          TC  : out   std_logic);
end CB2CE_MXILINX_top2;

architecture BEHAVIORAL of CB2CE_MXILINX_top2 is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component FTCE_MXILINX_top2
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : label is "U0_4";
   attribute HU_SET of U1 : label is "U1_5";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   TC <= TC_DUMMY;
   I_36_37 : AND2
      port map (I0=>Q1_DUMMY,
                I1=>Q0_DUMMY,
                O=>TC_DUMMY);
   
   I_36_47 : VCC
      port map (P=>XLXN_1);
   
   I_36_52 : AND2
      port map (I0=>CE,
                I1=>TC_DUMMY,
                O=>CEO);
   
   U0 : FTCE_MXILINX_top2
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>XLXN_1,
                Q=>Q0_DUMMY);
   
   U1 : FTCE_MXILINX_top2
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>Q0_DUMMY,
                Q=>Q1_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB4CE_MXILINX_top2 is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic; 
          TC  : out   std_logic);
end CB4CE_MXILINX_top2;

architecture BEHAVIORAL of CB4CE_MXILINX_top2 is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal Q2_DUMMY : std_logic;
   signal Q3_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component FTCE_MXILINX_top2
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : label is "U0_6";
   attribute HU_SET of U1 : label is "U1_7";
   attribute HU_SET of U2 : label is "U2_8";
   attribute HU_SET of U3 : label is "U3_9";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   Q2 <= Q2_DUMMY;
   Q3 <= Q3_DUMMY;
   TC <= TC_DUMMY;
   I_36_31 : AND4
      port map (I0=>Q3_DUMMY,
                I1=>Q2_DUMMY,
                I2=>Q1_DUMMY,
                I3=>Q0_DUMMY,
                O=>TC_DUMMY);
   
   I_36_32 : AND3
      port map (I0=>Q2_DUMMY,
                I1=>Q1_DUMMY,
                I2=>Q0_DUMMY,
                O=>T3);
   
   I_36_33 : AND2
      port map (I0=>Q1_DUMMY,
                I1=>Q0_DUMMY,
                O=>T2);
   
   I_36_58 : VCC
      port map (P=>XLXN_1);
   
   I_36_67 : AND2
      port map (I0=>CE,
                I1=>TC_DUMMY,
                O=>CEO);
   
   U0 : FTCE_MXILINX_top2
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>XLXN_1,
                Q=>Q0_DUMMY);
   
   U1 : FTCE_MXILINX_top2
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>Q0_DUMMY,
                Q=>Q1_DUMMY);
   
   U2 : FTCE_MXILINX_top2
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T2,
                Q=>Q2_DUMMY);
   
   U3 : FTCE_MXILINX_top2
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                T=>T3,
                Q=>Q3_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity M2_1_MXILINX_top2 is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1_MXILINX_top2;

architecture BEHAVIORAL of M2_1_MXILINX_top2 is
   attribute BOX_TYPE   : string ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
begin
   I_36_7 : AND2B1
      port map (I0=>S0,
                I1=>D0,
                O=>M0);
   
   I_36_8 : OR2
      port map (I0=>M1,
                I1=>M0,
                O=>O);
   
   I_36_9 : AND2
      port map (I0=>D1,
                I1=>S0,
                O=>M1);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FTCLE_MXILINX_top2 is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          D   : in    std_logic; 
          L   : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCLE_MXILINX_top2;

architecture BEHAVIORAL of FTCLE_MXILINX_top2 is
   attribute HU_SET         : string ;
   attribute BOX_TYPE       : string ;
   signal L_CE    : std_logic;
   signal MD      : std_logic;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component M2_1_MXILINX_top2
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : component is "BLACK_BOX";
   
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   attribute HU_SET of I_36_30 : label is "I_36_30_10";
begin
   Q <= Q_DUMMY;
   I_36_30 : M2_1_MXILINX_top2
      port map (D0=>TQ,
                D1=>D,
                S0=>L,
                O=>MD);
   
   I_36_32 : XOR2
      port map (I0=>T,
                I1=>Q_DUMMY,
                O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C,
                CE=>L_CE,
                CLR=>CLR,
                D=>MD,
                Q=>Q_DUMMY);
   
   I_36_71 : OR2
      port map (I0=>CE,
                I1=>L,
                O=>L_CE);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB2CLE_MXILINX_top2 is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          D0  : in    std_logic; 
          D1  : in    std_logic; 
          L   : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          TC  : out   std_logic);
end CB2CLE_MXILINX_top2;

architecture BEHAVIORAL of CB2CLE_MXILINX_top2 is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal OR_CE_L  : std_logic;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component FTCLE_MXILINX_top2
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             L   : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of I3 : label is "I3_11";
   attribute HU_SET of I4 : label is "I4_12";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   TC <= TC_DUMMY;
   I_36_37 : AND2
      port map (I0=>Q1_DUMMY,
                I1=>Q0_DUMMY,
                O=>TC_DUMMY);
   
   I_36_47 : VCC
      port map (P=>XLXN_1);
   
   I_36_50 : AND2
      port map (I0=>CE,
                I1=>TC_DUMMY,
                O=>CEO);
   
   I_36_67 : OR2
      port map (I0=>CE,
                I1=>L,
                O=>OR_CE_L);
   
   I3 : FTCLE_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D0,
                L=>L,
                T=>XLXN_1,
                Q=>Q0_DUMMY);
   
   I4 : FTCLE_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D1,
                L=>L,
                T=>Q0_DUMMY,
                Q=>Q1_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB4CLE_MXILINX_top2 is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          D0  : in    std_logic; 
          D1  : in    std_logic; 
          D2  : in    std_logic; 
          D3  : in    std_logic; 
          L   : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic; 
          TC  : out   std_logic);
end CB4CLE_MXILINX_top2;

architecture BEHAVIORAL of CB4CLE_MXILINX_top2 is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal OR_CE_L  : std_logic;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal Q2_DUMMY : std_logic;
   signal Q3_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component FTCLE_MXILINX_top2
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             L   : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of I3 : label is "I3_13";
   attribute HU_SET of I4 : label is "I4_14";
   attribute HU_SET of I5 : label is "I5_15";
   attribute HU_SET of I6 : label is "I6_16";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   Q2 <= Q2_DUMMY;
   Q3 <= Q3_DUMMY;
   TC <= TC_DUMMY;
   I_36_59 : VCC
      port map (P=>XLXN_1);
   
   I_36_87 : AND4
      port map (I0=>Q0_DUMMY,
                I1=>Q1_DUMMY,
                I2=>Q2_DUMMY,
                I3=>Q3_DUMMY,
                O=>TC_DUMMY);
   
   I_36_98 : AND2
      port map (I0=>Q1_DUMMY,
                I1=>Q0_DUMMY,
                O=>T2);
   
   I_36_99 : AND3
      port map (I0=>Q2_DUMMY,
                I1=>Q1_DUMMY,
                I2=>Q0_DUMMY,
                O=>T3);
   
   I_36_107 : AND2
      port map (I0=>CE,
                I1=>TC_DUMMY,
                O=>CEO);
   
   I_36_120 : OR2
      port map (I0=>CE,
                I1=>L,
                O=>OR_CE_L);
   
   I3 : FTCLE_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D3,
                L=>L,
                T=>T3,
                Q=>Q3_DUMMY);
   
   I4 : FTCLE_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D2,
                L=>L,
                T=>T2,
                Q=>Q2_DUMMY);
   
   I5 : FTCLE_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D1,
                L=>L,
                T=>Q0_DUMMY,
                Q=>Q1_DUMMY);
   
   I6 : FTCLE_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D0,
                L=>L,
                T=>XLXN_1,
                Q=>Q0_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity SR4CE_MXILINX_top2 is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          SLI : in    std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic);
end SR4CE_MXILINX_top2;

architecture BEHAVIORAL of SR4CE_MXILINX_top2 is
   attribute BOX_TYPE   : string ;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal Q2_DUMMY : std_logic;
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : component is "BLACK_BOX";
   
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   Q2 <= Q2_DUMMY;
   U0 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>SLI,
                Q=>Q0_DUMMY);
   
   U1 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>Q0_DUMMY,
                Q=>Q1_DUMMY);
   
   U2 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>Q1_DUMMY,
                Q=>Q2_DUMMY);
   
   U3 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>Q2_DUMMY,
                Q=>Q3);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity M2_1B1_MXILINX_top2 is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1B1_MXILINX_top2;

architecture BEHAVIORAL of M2_1B1_MXILINX_top2 is
   attribute BOX_TYPE   : string ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND2B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B2 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
begin
   I_36_7 : AND2B2
      port map (I0=>S0,
                I1=>D0,
                O=>M0);
   
   I_36_8 : OR2
      port map (I0=>M1,
                I1=>M0,
                O=>O);
   
   I_36_9 : AND2
      port map (I0=>D1,
                I1=>S0,
                O=>M1);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB4CLED_MXILINX_top2 is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          D0  : in    std_logic; 
          D1  : in    std_logic; 
          D2  : in    std_logic; 
          D3  : in    std_logic; 
          L   : in    std_logic; 
          UP  : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic; 
          TC  : out   std_logic);
end CB4CLED_MXILINX_top2;

architecture BEHAVIORAL of CB4CLED_MXILINX_top2 is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal OR_CE_L  : std_logic;
   signal TC_DN    : std_logic;
   signal TC_UP    : std_logic;
   signal T1       : std_logic;
   signal T2       : std_logic;
   signal T2_DN    : std_logic;
   signal T2_UP    : std_logic;
   signal T3       : std_logic;
   signal T3_DN    : std_logic;
   signal T3_UP    : std_logic;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal Q2_DUMMY : std_logic;
   signal Q3_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component AND2B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B2 : component is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
   component AND4B4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B4 : component is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND3B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B3 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component FTCLE_MXILINX_top2
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             L   : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component M2_1B1_MXILINX_top2
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component M2_1_MXILINX_top2
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   attribute HU_SET of I5 : label is "I5_19";
   attribute HU_SET of I6 : label is "I6_20";
   attribute HU_SET of I7 : label is "I7_18";
   attribute HU_SET of I8 : label is "I8_17";
   attribute HU_SET of U0 : label is "U0_24";
   attribute HU_SET of U2 : label is "U2_21";
   attribute HU_SET of U3 : label is "U3_22";
   attribute HU_SET of U4 : label is "U4_23";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   Q2 <= Q2_DUMMY;
   Q3 <= Q3_DUMMY;
   TC <= TC_DUMMY;
   I_36_1 : VCC
      port map (P=>XLXN_1);
   
   I_36_3 : AND2B2
      port map (I0=>Q1_DUMMY,
                I1=>Q0_DUMMY,
                O=>T2_DN);
   
   I_36_10 : AND4
      port map (I0=>Q3_DUMMY,
                I1=>Q2_DUMMY,
                I2=>Q1_DUMMY,
                I3=>Q0_DUMMY,
                O=>TC_UP);
   
   I_36_11 : AND4B4
      port map (I0=>Q3_DUMMY,
                I1=>Q2_DUMMY,
                I2=>Q1_DUMMY,
                I3=>Q0_DUMMY,
                O=>TC_DN);
   
   I_36_15 : AND3
      port map (I0=>Q2_DUMMY,
                I1=>Q1_DUMMY,
                I2=>Q0_DUMMY,
                O=>T3_UP);
   
   I_36_16 : AND3B3
      port map (I0=>Q2_DUMMY,
                I1=>Q1_DUMMY,
                I2=>Q0_DUMMY,
                O=>T3_DN);
   
   I_36_37 : AND2
      port map (I0=>Q1_DUMMY,
                I1=>Q0_DUMMY,
                O=>T2_UP);
   
   I_36_50 : AND2
      port map (I0=>CE,
                I1=>TC_DUMMY,
                O=>CEO);
   
   I_36_60 : OR2
      port map (I0=>CE,
                I1=>L,
                O=>OR_CE_L);
   
   I5 : FTCLE_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D1,
                L=>L,
                T=>T1,
                Q=>Q1_DUMMY);
   
   I6 : FTCLE_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D0,
                L=>L,
                T=>XLXN_1,
                Q=>Q0_DUMMY);
   
   I7 : FTCLE_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D2,
                L=>L,
                T=>T2,
                Q=>Q2_DUMMY);
   
   I8 : FTCLE_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D3,
                L=>L,
                T=>T3,
                Q=>Q3_DUMMY);
   
   U0 : M2_1B1_MXILINX_top2
      port map (D0=>Q0_DUMMY,
                D1=>Q0_DUMMY,
                S0=>UP,
                O=>T1);
   
   U2 : M2_1_MXILINX_top2
      port map (D0=>T2_DN,
                D1=>T2_UP,
                S0=>UP,
                O=>T2);
   
   U3 : M2_1_MXILINX_top2
      port map (D0=>T3_DN,
                D1=>T3_UP,
                S0=>UP,
                O=>T3);
   
   U4 : M2_1_MXILINX_top2
      port map (D0=>TC_DN,
                D1=>TC_UP,
                S0=>UP,
                O=>TC_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FTCLEX_MXILINX_top2 is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          D   : in    std_logic; 
          L   : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCLEX_MXILINX_top2;

architecture BEHAVIORAL of FTCLEX_MXILINX_top2 is
   attribute HU_SET     : string ;
   attribute BOX_TYPE   : string ;
   attribute RLOC       : string ;
   signal MD      : std_logic;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component M2_1_MXILINX_top2
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : component is "BLACK_BOX";
   
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : component is "BLACK_BOX";
   
   attribute HU_SET of I_36_30 : label is "I_36_30_25";
   attribute RLOC of I_36_35 : label is "R0C0";
begin
   Q <= Q_DUMMY;
   I_36_30 : M2_1_MXILINX_top2
      port map (D0=>TQ,
                D1=>D,
                S0=>L,
                O=>MD);
   
   I_36_32 : XOR2
      port map (I0=>T,
                I1=>Q_DUMMY,
                O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>MD,
                Q=>Q_DUMMY);
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB16CLE_MXILINX_top2 is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          D   : in    std_logic_vector (15 downto 0); 
          L   : in    std_logic; 
          CEO : out   std_logic; 
          Q   : out   std_logic_vector (15 downto 0); 
          TC  : out   std_logic);
end CB16CLE_MXILINX_top2;

architecture BEHAVIORAL of CB16CLE_MXILINX_top2 is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal OR_CE_L  : std_logic;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal T4       : std_logic;
   signal T5       : std_logic;
   signal T6       : std_logic;
   signal T7       : std_logic;
   signal T8       : std_logic;
   signal T9       : std_logic;
   signal T10      : std_logic;
   signal T11      : std_logic;
   signal T12      : std_logic;
   signal T13      : std_logic;
   signal T14      : std_logic;
   signal T15      : std_logic;
   signal XLXN_1   : std_logic;
   signal Q_DUMMY  : std_logic_vector (15 downto 0);
   signal TC_DUMMY : std_logic;
   component AND5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5 : component is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component FTCLEX_MXILINX_top2
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             L   : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of Q0 : label is "Q0_41";
   attribute HU_SET of Q1 : label is "Q1_40";
   attribute HU_SET of Q2 : label is "Q2_39";
   attribute HU_SET of Q3 : label is "Q3_38";
   attribute HU_SET of Q4 : label is "Q4_37";
   attribute HU_SET of Q5 : label is "Q5_36";
   attribute HU_SET of Q6 : label is "Q6_35";
   attribute HU_SET of Q7 : label is "Q7_34";
   attribute HU_SET of Q8 : label is "Q8_26";
   attribute HU_SET of Q9 : label is "Q9_27";
   attribute HU_SET of Q10 : label is "Q10_28";
   attribute HU_SET of Q11 : label is "Q11_29";
   attribute HU_SET of Q12 : label is "Q12_30";
   attribute HU_SET of Q13 : label is "Q13_31";
   attribute HU_SET of Q14 : label is "Q14_32";
   attribute HU_SET of Q15 : label is "Q15_33";
begin
   Q(15 downto 0) <= Q_DUMMY(15 downto 0);
   TC <= TC_DUMMY;
   I_36_2 : AND5
      port map (I0=>Q_DUMMY(15),
                I1=>Q_DUMMY(14),
                I2=>Q_DUMMY(13),
                I3=>Q_DUMMY(12),
                I4=>T12,
                O=>TC_DUMMY);
   
   I_36_3 : AND4
      port map (I0=>Q_DUMMY(14),
                I1=>Q_DUMMY(13),
                I2=>Q_DUMMY(12),
                I3=>T12,
                O=>T15);
   
   I_36_4 : AND2
      port map (I0=>Q_DUMMY(12),
                I1=>T12,
                O=>T13);
   
   I_36_5 : AND3
      port map (I0=>Q_DUMMY(13),
                I1=>Q_DUMMY(12),
                I2=>T12,
                O=>T14);
   
   I_36_6 : AND3
      port map (I0=>Q_DUMMY(9),
                I1=>Q_DUMMY(8),
                I2=>T8,
                O=>T10);
   
   I_36_7 : AND2
      port map (I0=>Q_DUMMY(8),
                I1=>T8,
                O=>T9);
   
   I_36_8 : AND4
      port map (I0=>Q_DUMMY(10),
                I1=>Q_DUMMY(9),
                I2=>Q_DUMMY(8),
                I3=>T8,
                O=>T11);
   
   I_36_9 : AND5
      port map (I0=>Q_DUMMY(11),
                I1=>Q_DUMMY(10),
                I2=>Q_DUMMY(9),
                I3=>Q_DUMMY(8),
                I4=>T8,
                O=>T12);
   
   I_36_13 : AND3
      port map (I0=>Q_DUMMY(5),
                I1=>Q_DUMMY(4),
                I2=>T4,
                O=>T6);
   
   I_36_14 : AND2
      port map (I0=>Q_DUMMY(4),
                I1=>T4,
                O=>T5);
   
   I_36_15 : AND4
      port map (I0=>Q_DUMMY(6),
                I1=>Q_DUMMY(5),
                I2=>Q_DUMMY(4),
                I3=>T4,
                O=>T7);
   
   I_36_16 : AND5
      port map (I0=>Q_DUMMY(7),
                I1=>Q_DUMMY(6),
                I2=>Q_DUMMY(5),
                I3=>Q_DUMMY(4),
                I4=>T4,
                O=>T8);
   
   I_36_17 : AND4
      port map (I0=>Q_DUMMY(3),
                I1=>Q_DUMMY(2),
                I2=>Q_DUMMY(1),
                I3=>Q_DUMMY(0),
                O=>T4);
   
   I_36_18 : AND3
      port map (I0=>Q_DUMMY(2),
                I1=>Q_DUMMY(1),
                I2=>Q_DUMMY(0),
                O=>T3);
   
   I_36_19 : AND2
      port map (I0=>Q_DUMMY(1),
                I1=>Q_DUMMY(0),
                O=>T2);
   
   I_36_31 : VCC
      port map (P=>XLXN_1);
   
   I_36_56 : AND2
      port map (I0=>CE,
                I1=>TC_DUMMY,
                O=>CEO);
   
   I_36_68 : OR2
      port map (I0=>CE,
                I1=>L,
                O=>OR_CE_L);
   
   Q0 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(0),
                L=>L,
                T=>XLXN_1,
                Q=>Q_DUMMY(0));
   
   Q1 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(1),
                L=>L,
                T=>Q_DUMMY(0),
                Q=>Q_DUMMY(1));
   
   Q2 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(2),
                L=>L,
                T=>T2,
                Q=>Q_DUMMY(2));
   
   Q3 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(3),
                L=>L,
                T=>T3,
                Q=>Q_DUMMY(3));
   
   Q4 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(4),
                L=>L,
                T=>T4,
                Q=>Q_DUMMY(4));
   
   Q5 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(5),
                L=>L,
                T=>T5,
                Q=>Q_DUMMY(5));
   
   Q6 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(6),
                L=>L,
                T=>T6,
                Q=>Q_DUMMY(6));
   
   Q7 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(7),
                L=>L,
                T=>T7,
                Q=>Q_DUMMY(7));
   
   Q8 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(8),
                L=>L,
                T=>T8,
                Q=>Q_DUMMY(8));
   
   Q9 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(9),
                L=>L,
                T=>T9,
                Q=>Q_DUMMY(9));
   
   Q10 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(10),
                L=>L,
                T=>T10,
                Q=>Q_DUMMY(10));
   
   Q11 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(11),
                L=>L,
                T=>T11,
                Q=>Q_DUMMY(11));
   
   Q12 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(12),
                L=>L,
                T=>T12,
                Q=>Q_DUMMY(12));
   
   Q13 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(13),
                L=>L,
                T=>T13,
                Q=>Q_DUMMY(13));
   
   Q14 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(14),
                L=>L,
                T=>T14,
                Q=>Q_DUMMY(14));
   
   Q15 : FTCLEX_MXILINX_top2
      port map (C=>C,
                CE=>OR_CE_L,
                CLR=>CLR,
                D=>D(15),
                L=>L,
                T=>T15,
                Q=>Q_DUMMY(15));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity top2 is
   port ( a         : in    std_logic; 
          A1        : in    std_logic; 
          A2        : in    std_logic; 
          b         : in    std_logic; 
          bl1       : in    std_logic; 
          bl2       : in    std_logic; 
          bl3       : in    std_logic; 
          bl4       : in    std_logic; 
          bl5       : in    std_logic; 
          butl      : in    std_logic; 
          butr      : in    std_logic; 
          clock_in  : in    std_logic; 
          midiin    : in    std_logic; 
          NAMS3     : in    std_logic; 
          NARE      : in    std_logic; 
          NAWE      : in    std_logic; 
          rotl      : in    std_logic; 
          rotr      : in    std_logic; 
          boardled1 : out   std_logic; 
          db0       : out   std_logic; 
          db1       : out   std_logic; 
          db2       : out   std_logic; 
          db3       : out   std_logic; 
          db4       : out   std_logic; 
          db5       : out   std_logic; 
          db6       : out   std_logic; 
          db7       : out   std_logic; 
          e         : out   std_logic; 
          lda       : out   std_logic; 
          ldb       : out   std_logic; 
          ldc       : out   std_logic; 
          ldd       : out   std_logic; 
          lde       : out   std_logic; 
          ldf       : out   std_logic; 
          ldg       : out   std_logic; 
          ll1       : out   std_logic; 
          ll2       : out   std_logic; 
          ll3       : out   std_logic; 
          ll4       : out   std_logic; 
          ll5       : out   std_logic; 
          rs        : out   std_logic; 
          datab0    : inout std_logic; 
          datab1    : inout std_logic; 
          datab2    : inout std_logic; 
          datab3    : inout std_logic; 
          datab4    : inout std_logic; 
          datab5    : inout std_logic; 
          datab6    : inout std_logic; 
          datab7    : inout std_logic);
end top2;

architecture BEHAVIORAL of top2 is
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal Da        : std_logic_vector (15 downto 0);
   signal hex       : std_logic_vector (3 downto 0);
   signal q         : std_logic;
   signal Qa        : std_logic_vector (15 downto 0);
   signal qold      : std_logic;
   signal Qo8       : std_logic;
   signal Qo13      : std_logic;
   signal qo14      : std_logic;
   signal segments  : std_logic_vector (6 downto 0);
   signal XLXN_42   : std_logic;
   signal XLXN_203  : std_logic;
   signal XLXN_205  : std_logic;
   signal XLXN_210  : std_logic;
   signal XLXN_211  : std_logic;
   signal XLXN_244  : std_logic;
   signal XLXN_268  : std_logic;
   signal XLXN_280  : std_logic;
   signal XLXN_281  : std_logic;
   signal XLXN_286  : std_logic;
   signal XLXN_287  : std_logic;
   signal XLXN_289  : std_logic;
   signal XLXN_291  : std_logic;
   signal XLXN_293  : std_logic;
   signal XLXN_294  : std_logic;
   signal XLXN_299  : std_logic;
   signal XLXN_310  : std_logic;
   signal XLXN_313  : std_logic;
   signal XLXN_315  : std_logic;
   signal XLXN_317  : std_logic;
   signal XLXN_318  : std_logic;
   signal XLXN_324  : std_logic;
   signal XLXN_325  : std_logic;
   signal XLXN_333  : std_logic;
   signal XLXN_336  : std_logic;
   signal XLXN_344  : std_logic;
   signal XLXN_356  : std_logic;
   signal XLXN_443  : std_logic;
   signal XLXN_447  : std_logic;
   signal XLXN_454  : std_logic;
   signal XLXN_510  : std_logic;
   signal XLXN_564  : std_logic;
   signal XLXN_565  : std_logic;
   signal XLXN_566  : std_logic;
   signal XLXN_633  : std_logic;
   signal XLXN_634  : std_logic;
   signal XLXN_639  : std_logic;
   signal XLXN_781  : std_logic;
   signal XLXN_782  : std_logic;
   signal XLXN_787  : std_logic;
   signal XLXN_859  : std_logic;
   signal XLXN_860  : std_logic;
   signal XLXN_861  : std_logic;
   signal XLXN_862  : std_logic;
   signal XLXN_863  : std_logic;
   signal XLXN_864  : std_logic;
   signal XLXN_865  : std_logic;
   signal XLXN_866  : std_logic;
   signal XLXN_894  : std_logic;
   signal XLXN_896  : std_logic;
   signal XLXN_897  : std_logic;
   signal XLXN_898  : std_logic;
   signal XLXN_899  : std_logic;
   signal XLXN_900  : std_logic;
   signal XLXN_901  : std_logic;
   signal XLXN_902  : std_logic;
   signal XLXN_904  : std_logic;
   signal XLXN_916  : std_logic;
   signal XLXN_922  : std_logic;
   signal XLXN_924  : std_logic;
   signal XLXN_929  : std_logic;
   signal XLXN_940  : std_logic;
   signal XLXN_959  : std_logic;
   signal XLXN_969  : std_logic;
   signal XLXN_972  : std_logic;
   signal XLXN_973  : std_logic;
   signal XLXN_974  : std_logic;
   signal XLXN_1018 : std_logic;
   signal XLXN_1020 : std_logic;
   signal XLXN_1021 : std_logic;
   signal XLXN_1022 : std_logic;
   signal XLXN_1024 : std_logic;
   signal XLXN_1027 : std_logic;
   signal XLXN_1028 : std_logic;
   signal XLXN_1029 : std_logic;
   signal XLXN_1030 : std_logic;
   signal XLXN_1041 : std_logic;
   signal XLXN_1043 : std_logic;
   signal XLXN_1046 : std_logic;
   signal XLXN_1048 : std_logic;
   signal XLXN_1049 : std_logic;
   signal XLXN_1050 : std_logic;
   signal XLXN_1061 : std_logic;
   signal XLXN_1068 : std_logic;
   signal XLXN_1072 : std_logic;
   signal XLXN_1073 : std_logic;
   signal XLXN_1076 : std_logic;
   signal XLXN_1077 : std_logic;
   signal XLXN_1083 : std_logic;
   signal XLXN_1089 : std_logic;
   signal XLXN_1091 : std_logic;
   signal XLXN_1093 : std_logic;
   signal XLXN_1129 : std_logic;
   signal XLXN_1161 : std_logic;
   signal ll1_DUMMY : std_logic;
   signal ll2_DUMMY : std_logic;
   signal ll3_DUMMY : std_logic;
   signal ll4_DUMMY : std_logic;
   signal ll5_DUMMY : std_logic;
   signal db0_DUMMY : std_logic;
   component NAND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NAND2 : component is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : component is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : component is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : component is "BLACK_BOX";
   
   component display1
      port ( hex      : in    std_logic_vector (3 downto 0); 
             segments : out   std_logic_vector (6 downto 0));
   end component;
   
   component CB16CLE_MXILINX_top2
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic_vector (15 downto 0); 
             L   : in    std_logic; 
             CEO : out   std_logic; 
             Q   : out   std_logic_vector (15 downto 0); 
             TC  : out   std_logic);
   end component;
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : component is "BLACK_BOX";
   
   component CB4CE_MXILINX_top2
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             Q2  : out   std_logic; 
             Q3  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component FD4_MXILINX_top2
      port ( C  : in    std_logic; 
             D0 : in    std_logic; 
             D1 : in    std_logic; 
             D2 : in    std_logic; 
             D3 : in    std_logic; 
             Q0 : out   std_logic; 
             Q1 : out   std_logic; 
             Q2 : out   std_logic; 
             Q3 : out   std_logic);
   end component;
   
   component NOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NOR2 : component is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : component is "BLACK_BOX";
   
   component CB4CLED_MXILINX_top2
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D0  : in    std_logic; 
             D1  : in    std_logic; 
             D2  : in    std_logic; 
             D3  : in    std_logic; 
             L   : in    std_logic; 
             UP  : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             Q2  : out   std_logic; 
             Q3  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component OBUFT
      port ( I : in    std_logic; 
             T : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of OBUFT : component is "BLACK_BOX";
   
   component IBUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of IBUF : component is "BLACK_BOX";
   
   component FD_MXILINX_top2
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component M2_1_MXILINX_top2
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component SR4CE_MXILINX_top2
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             SLI : in    std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             Q2  : out   std_logic; 
             Q3  : out   std_logic);
   end component;
   
   component CB4CLE_MXILINX_top2
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D0  : in    std_logic; 
             D1  : in    std_logic; 
             D2  : in    std_logic; 
             D3  : in    std_logic; 
             L   : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             Q2  : out   std_logic; 
             Q3  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component CB2CLE_MXILINX_top2
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D0  : in    std_logic; 
             D1  : in    std_logic; 
             L   : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : component is "BLACK_BOX";
   
   component CB2CE_MXILINX_top2
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : component is "BLACK_BOX";
   
   attribute HU_SET of XLXI_32 : label is "XLXI_32_42";
   attribute HU_SET of XLXI_36 : label is "XLXI_36_43";
   attribute HU_SET of XLXI_44 : label is "XLXI_44_44";
   attribute HU_SET of XLXI_45 : label is "XLXI_45_45";
   attribute HU_SET of XLXI_70 : label is "XLXI_70_46";
   attribute HU_SET of XLXI_87 : label is "XLXI_87_74";
   attribute HU_SET of XLXI_88 : label is "XLXI_88_75";
   attribute HU_SET of XLXI_148 : label is "XLXI_148_47";
   attribute HU_SET of XLXI_149 : label is "XLXI_149_48";
   attribute HU_SET of XLXI_151 : label is "XLXI_151_49";
   attribute HU_SET of XLXI_152 : label is "XLXI_152_50";
   attribute HU_SET of XLXI_153 : label is "XLXI_153_51";
   attribute HU_SET of XLXI_250 : label is "XLXI_250_52";
   attribute HU_SET of XLXI_251 : label is "XLXI_251_53";
   attribute HU_SET of XLXI_252 : label is "XLXI_252_54";
   attribute HU_SET of XLXI_253 : label is "XLXI_253_55";
   attribute HU_SET of XLXI_254 : label is "XLXI_254_56";
   attribute HU_SET of XLXI_255 : label is "XLXI_255_57";
   attribute HU_SET of XLXI_256 : label is "XLXI_256_58";
   attribute HU_SET of XLXI_257 : label is "XLXI_257_59";
   attribute HU_SET of XLXI_259 : label is "XLXI_259_60";
   attribute HU_SET of XLXI_260 : label is "XLXI_260_67";
   attribute HU_SET of XLXI_261 : label is "XLXI_261_61";
   attribute HU_SET of XLXI_262 : label is "XLXI_262_66";
   attribute HU_SET of XLXI_263 : label is "XLXI_263_62";
   attribute HU_SET of XLXI_264 : label is "XLXI_264_65";
   attribute HU_SET of XLXI_265 : label is "XLXI_265_63";
   attribute HU_SET of XLXI_266 : label is "XLXI_266_64";
   attribute HU_SET of XLXI_272 : label is "XLXI_272_68";
   attribute HU_SET of XLXI_273 : label is "XLXI_273_69";
   attribute HU_SET of XLXI_277 : label is "XLXI_277_70";
   attribute HU_SET of XLXI_278 : label is "XLXI_278_71";
   attribute HU_SET of XLXI_287 : label is "XLXI_287_72";
   attribute HU_SET of XLXI_297 : label is "XLXI_297_73";
   attribute HU_SET of XLXI_305 : label is "XLXI_305_76";
   attribute HU_SET of XLXI_306 : label is "XLXI_306_77";
begin
   db0 <= db0_DUMMY;
   ll1 <= ll1_DUMMY;
   ll2 <= ll2_DUMMY;
   ll3 <= ll3_DUMMY;
   ll4 <= ll4_DUMMY;
   ll5 <= ll5_DUMMY;
   XLXI_13 : NAND2
      port map (I0=>XLXN_315,
                I1=>a,
                O=>qold);
   
   XLXI_14 : NAND2
      port map (I0=>b,
                I1=>qold,
                O=>XLXN_315);
   
   XLXI_16 : GND
      port map (G=>XLXN_324);
   
   XLXI_17 : VCC
      port map (P=>XLXN_42);
   
   XLXI_18 : INV
      port map (I=>segments(0),
                O=>lda);
   
   XLXI_19 : INV
      port map (I=>segments(1),
                O=>ldb);
   
   XLXI_20 : INV
      port map (I=>segments(2),
                O=>ldc);
   
   XLXI_21 : INV
      port map (I=>segments(3),
                O=>ldd);
   
   XLXI_28 : display1
      port map (hex(3 downto 0)=>hex(3 downto 0),
                segments(6 downto 0)=>segments(6 downto 0));
   
   XLXI_29 : INV
      port map (I=>segments(4),
                O=>lde);
   
   XLXI_30 : INV
      port map (I=>segments(5),
                O=>ldf);
   
   XLXI_31 : INV
      port map (I=>segments(6),
                O=>ldg);
   
   XLXI_32 : CB16CLE_MXILINX_top2
      port map (C=>XLXN_244,
                CE=>XLXN_203,
                CLR=>XLXN_205,
                D(15 downto 0)=>Da(15 downto 0),
                L=>XLXN_205,
                CEO=>open,
                Q(15 downto 0)=>Qa(15 downto 0),
                TC=>open);
   
   XLXI_33 : GND
      port map (G=>XLXN_205);
   
   XLXI_34 : VCC
      port map (P=>XLXN_203);
   
   XLXI_35 : BUF
      port map (I=>Qa(15),
                O=>q);
   
   XLXI_36 : CB4CE_MXILINX_top2
      port map (C=>clock_in,
                CE=>XLXN_211,
                CLR=>XLXN_210,
                CEO=>open,
                Q0=>open,
                Q1=>open,
                Q2=>open,
                Q3=>XLXN_244,
                TC=>open);
   
   XLXI_37 : GND
      port map (G=>XLXN_210);
   
   XLXI_38 : VCC
      port map (P=>XLXN_211);
   
   XLXI_39 : BUF
      port map (I=>Qa(14),
                O=>qo14);
   
   XLXI_40 : BUF
      port map (I=>Qa(13),
                O=>Qo13);
   
   XLXI_41 : AND2
      port map (I0=>hex(3),
                I1=>hex(1),
                O=>open);
   
   XLXI_43 : BUF
      port map (I=>Qa(8),
                O=>Qo8);
   
   XLXI_44 : CB4CE_MXILINX_top2
      port map (C=>XLXN_244,
                CE=>XLXN_211,
                CLR=>XLXN_210,
                CEO=>open,
                Q0=>open,
                Q1=>open,
                Q2=>open,
                Q3=>open,
                TC=>open);
   
   XLXI_45 : FD4_MXILINX_top2
      port map (C=>Qa(9),
                D0=>rotl,
                D1=>rotr,
                D2=>XLXN_268,
                D3=>XLXN_287,
                Q0=>XLXN_268,
                Q1=>XLXN_287,
                Q2=>XLXN_280,
                Q3=>XLXN_281);
   
   XLXI_47 : AND2
      port map (I0=>XLXN_281,
                I1=>XLXN_280,
                O=>XLXN_293);
   
   XLXI_48 : NOR2
      port map (I0=>XLXN_281,
                I1=>XLXN_280,
                O=>XLXN_294);
   
   XLXI_49 : INV
      port map (I=>XLXN_268,
                O=>XLXN_286);
   
   XLXI_50 : INV
      port map (I=>XLXN_287,
                O=>XLXN_289);
   
   XLXI_51 : AND2
      port map (I0=>XLXN_287,
                I1=>XLXN_286,
                O=>XLXN_291);
   
   XLXI_52 : AND2
      port map (I0=>XLXN_268,
                I1=>XLXN_289,
                O=>XLXN_299);
   
   XLXI_53 : AND2
      port map (I0=>XLXN_293,
                I1=>XLXN_291,
                O=>XLXN_310);
   
   XLXI_54 : AND2
      port map (I0=>XLXN_294,
                I1=>XLXN_291,
                O=>XLXN_317);
   
   XLXI_55 : AND2
      port map (I0=>XLXN_293,
                I1=>XLXN_299,
                O=>XLXN_318);
   
   XLXI_56 : AND2
      port map (I0=>XLXN_294,
                I1=>XLXN_299,
                O=>XLXN_313);
   
   XLXI_57 : OR2
      port map (I0=>XLXN_313,
                I1=>XLXN_310,
                O=>XLXN_325);
   
   XLXI_58 : OR2
      port map (I0=>XLXN_318,
                I1=>XLXN_317,
                O=>XLXN_333);
   
   XLXI_70 : CB4CLED_MXILINX_top2
      port map (C=>XLXN_356,
                CE=>XLXN_42,
                CLR=>XLXN_315,
                D0=>XLXN_42,
                D1=>XLXN_42,
                D2=>XLXN_42,
                D3=>XLXN_42,
                L=>XLXN_324,
                UP=>XLXN_325,
                CEO=>open,
                Q0=>hex(0),
                Q1=>hex(1),
                Q2=>hex(2),
                Q3=>hex(3),
                TC=>open);
   
   XLXI_73 : OR2
      port map (I0=>XLXN_333,
                I1=>XLXN_325,
                O=>XLXN_336);
   
   XLXI_74 : AND2
      port map (I0=>XLXN_344,
                I1=>XLXN_336,
                O=>XLXN_356);
   
   XLXI_75 : INV
      port map (I=>Qa(9),
                O=>XLXN_344);
   
   XLXI_87 : FD4_MXILINX_top2
      port map (C=>XLXN_782,
                D0=>XLXN_510,
                D1=>XLXN_564,
                D2=>XLXN_565,
                D3=>XLXN_566,
                Q0=>db0_DUMMY,
                Q1=>db1,
                Q2=>db2,
                Q3=>db3);
   
   XLXI_88 : FD4_MXILINX_top2
      port map (C=>XLXN_782,
                D0=>XLXN_633,
                D1=>XLXN_634,
                D2=>XLXN_781,
                D3=>XLXN_639,
                Q0=>db4,
                Q1=>db5,
                Q2=>db6,
                Q3=>db7);
   
   XLXI_89 : OR2
      port map (I0=>NARE,
                I1=>NAMS3,
                O=>XLXN_787);
   
   XLXI_90 : INV
      port map (I=>A1,
                O=>open);
   
   XLXI_91 : INV
      port map (I=>A2,
                O=>XLXN_443);
   
   XLXI_92 : AND3
      port map (I0=>XLXN_447,
                I1=>XLXN_443,
                I2=>XLXN_894,
                O=>XLXN_454);
   
   XLXI_93 : INV
      port map (I=>NAMS3,
                O=>XLXN_447);
   
   XLXI_94 : INV
      port map (I=>XLXN_454,
                O=>open);
   
   XLXI_106 : OBUFT
      port map (I=>XLXN_859,
                T=>XLXN_787,
                O=>datab0);
   
   XLXI_107 : IBUF
      port map (I=>datab0,
                O=>XLXN_510);
   
   XLXI_120 : IBUF
      port map (I=>datab1,
                O=>XLXN_564);
   
   XLXI_121 : IBUF
      port map (I=>datab2,
                O=>XLXN_565);
   
   XLXI_122 : IBUF
      port map (I=>datab3,
                O=>XLXN_566);
   
   XLXI_123 : OBUFT
      port map (I=>XLXN_860,
                T=>XLXN_787,
                O=>datab1);
   
   XLXI_125 : OBUFT
      port map (I=>XLXN_861,
                T=>XLXN_787,
                O=>datab2);
   
   XLXI_126 : OBUFT
      port map (I=>XLXN_862,
                T=>XLXN_787,
                O=>datab3);
   
   XLXI_127 : OBUFT
      port map (I=>XLXN_866,
                T=>XLXN_787,
                O=>datab7);
   
   XLXI_128 : OBUFT
      port map (I=>XLXN_865,
                T=>XLXN_787,
                O=>datab6);
   
   XLXI_129 : OBUFT
      port map (I=>XLXN_864,
                T=>XLXN_787,
                O=>datab5);
   
   XLXI_130 : OBUFT
      port map (I=>XLXN_863,
                T=>XLXN_787,
                O=>datab4);
   
   XLXI_131 : IBUF
      port map (I=>datab4,
                O=>XLXN_633);
   
   XLXI_132 : IBUF
      port map (I=>datab5,
                O=>XLXN_634);
   
   XLXI_133 : IBUF
      port map (I=>datab6,
                O=>XLXN_781);
   
   XLXI_134 : IBUF
      port map (I=>datab7,
                O=>XLXN_639);
   
   XLXI_148 : FD_MXILINX_top2
      port map (C=>bl1,
                D=>ll1_DUMMY,
                Q=>XLXN_1024);
   
   XLXI_149 : FD_MXILINX_top2
      port map (C=>bl2,
                D=>ll2_DUMMY,
                Q=>XLXN_1030);
   
   XLXI_151 : FD_MXILINX_top2
      port map (C=>bl3,
                D=>ll3_DUMMY,
                Q=>XLXN_922);
   
   XLXI_152 : FD_MXILINX_top2
      port map (C=>bl4,
                D=>ll4_DUMMY,
                Q=>XLXN_916);
   
   XLXI_153 : FD_MXILINX_top2
      port map (C=>bl5,
                D=>ll5_DUMMY,
                Q=>XLXN_924);
   
   XLXI_154 : INV
      port map (I=>XLXN_1024,
                O=>ll1_DUMMY);
   
   XLXI_155 : INV
      port map (I=>XLXN_1030,
                O=>ll2_DUMMY);
   
   XLXI_156 : INV
      port map (I=>XLXN_922,
                O=>ll3_DUMMY);
   
   XLXI_157 : INV
      port map (I=>XLXN_916,
                O=>ll4_DUMMY);
   
   XLXI_158 : INV
      port map (I=>XLXN_924,
                O=>ll5_DUMMY);
   
   XLXI_163 : INV
      port map (I=>Qa(10),
                O=>open);
   
   XLXI_250 : M2_1_MXILINX_top2
      port map (D0=>hex(0),
                D1=>XLXN_897,
                S0=>A1,
                O=>XLXN_859);
   
   XLXI_251 : M2_1_MXILINX_top2
      port map (D0=>hex(1),
                D1=>XLXN_898,
                S0=>A1,
                O=>XLXN_860);
   
   XLXI_252 : M2_1_MXILINX_top2
      port map (D0=>hex(2),
                D1=>XLXN_899,
                S0=>A1,
                O=>XLXN_861);
   
   XLXI_253 : M2_1_MXILINX_top2
      port map (D0=>hex(3),
                D1=>XLXN_900,
                S0=>A1,
                O=>XLXN_862);
   
   XLXI_254 : M2_1_MXILINX_top2
      port map (D0=>Qa(8),
                D1=>XLXN_896,
                S0=>A1,
                O=>XLXN_863);
   
   XLXI_255 : M2_1_MXILINX_top2
      port map (D0=>butl,
                D1=>XLXN_901,
                S0=>A1,
                O=>XLXN_864);
   
   XLXI_256 : M2_1_MXILINX_top2
      port map (D0=>butr,
                D1=>XLXN_902,
                S0=>A1,
                O=>XLXN_865);
   
   XLXI_257 : M2_1_MXILINX_top2
      port map (D0=>qold,
                D1=>XLXN_904,
                S0=>A1,
                O=>XLXN_866);
   
   XLXI_258 : VCC
      port map (P=>XLXN_894);
   
   XLXI_259 : M2_1_MXILINX_top2
      port map (D0=>XLXN_1027,
                D1=>XLXN_1024,
                S0=>A2,
                O=>XLXN_897);
   
   XLXI_260 : M2_1_MXILINX_top2
      port map (D0=>XLXN_1022,
                D1=>XLXN_1030,
                S0=>A2,
                O=>XLXN_898);
   
   XLXI_261 : M2_1_MXILINX_top2
      port map (D0=>XLXN_1021,
                D1=>XLXN_922,
                S0=>A2,
                O=>XLXN_899);
   
   XLXI_262 : M2_1_MXILINX_top2
      port map (D0=>XLXN_1020,
                D1=>XLXN_916,
                S0=>A2,
                O=>XLXN_900);
   
   XLXI_263 : M2_1_MXILINX_top2
      port map (D0=>XLXN_1028,
                D1=>XLXN_924,
                S0=>A2,
                O=>XLXN_896);
   
   XLXI_264 : M2_1_MXILINX_top2
      port map (D0=>XLXN_1018,
                D1=>XLXN_1041,
                S0=>A2,
                O=>XLXN_901);
   
   XLXI_265 : M2_1_MXILINX_top2
      port map (D0=>XLXN_1029,
                D1=>XLXN_1048,
                S0=>A2,
                O=>XLXN_902);
   
   XLXI_266 : M2_1_MXILINX_top2
      port map (D0=>XLXN_929,
                D1=>XLXN_1049,
                S0=>A2,
                O=>XLXN_904);
   
   XLXI_272 : SR4CE_MXILINX_top2
      port map (C=>XLXN_1083,
                CE=>XLXN_1091,
                CLR=>XLXN_969,
                SLI=>midiin,
                Q0=>XLXN_929,
                Q1=>XLXN_1029,
                Q2=>XLXN_1018,
                Q3=>XLXN_1028);
   
   XLXI_273 : SR4CE_MXILINX_top2
      port map (C=>XLXN_1083,
                CE=>XLXN_1091,
                CLR=>XLXN_969,
                SLI=>XLXN_1028,
                Q0=>XLXN_1020,
                Q1=>XLXN_1021,
                Q2=>XLXN_1022,
                Q3=>XLXN_1027);
   
   XLXI_275 : VCC
      port map (P=>XLXN_1089);
   
   XLXI_277 : CB4CLE_MXILINX_top2
      port map (C=>clock_in,
                CE=>XLXN_974,
                CLR=>XLXN_1041,
                D0=>XLXN_974,
                D1=>XLXN_959,
                D2=>XLXN_959,
                D3=>XLXN_959,
                L=>XLXN_1093,
                CEO=>open,
                Q0=>open,
                Q1=>open,
                Q2=>open,
                Q3=>open,
                TC=>XLXN_1093);
   
   XLXI_278 : CB2CLE_MXILINX_top2
      port map (C=>XLXN_1083,
                CE=>XLXN_973,
                CLR=>XLXN_1041,
                D0=>XLXN_972,
                D1=>XLXN_972,
                L=>XLXN_972,
                CEO=>open,
                Q0=>XLXN_1072,
                Q1=>XLXN_1076,
                TC=>open);
   
   XLXI_284 : FDCP
      port map (C=>XLXN_1050,
                CLR=>XLXN_940,
                D=>XLXN_940,
                PRE=>XLXN_1077,
                Q=>XLXN_1041);
   
   XLXI_285 : GND
      port map (G=>XLXN_940);
   
   XLXI_286 : INV
      port map (I=>midiin,
                O=>XLXN_1050);
   
   XLXI_287 : CB4CE_MXILINX_top2
      port map (C=>XLXN_1083,
                CE=>XLXN_1091,
                CLR=>XLXN_1041,
                CEO=>open,
                Q0=>XLXN_1068,
                Q1=>open,
                Q2=>open,
                Q3=>XLXN_1061,
                TC=>open);
   
   XLXI_288 : GND
      port map (G=>XLXN_959);
   
   XLXI_289 : VCC
      port map (P=>XLXN_974);
   
   XLXI_290 : INV
      port map (I=>XLXN_1076,
                O=>XLXN_1073);
   
   XLXI_292 : GND
      port map (G=>XLXN_969);
   
   XLXI_293 : GND
      port map (G=>XLXN_972);
   
   XLXI_294 : VCC
      port map (P=>XLXN_973);
   
   XLXI_295 : VCC
      port map (P=>open);
   
   XLXI_297 : CB2CE_MXILINX_top2
      port map (C=>XLXN_1041,
                CE=>XLXN_1043,
                CLR=>XLXN_1046,
                CEO=>open,
                Q0=>XLXN_1048,
                Q1=>XLXN_1049,
                TC=>open);
   
   XLXI_298 : VCC
      port map (P=>XLXN_1043);
   
   XLXI_299 : GND
      port map (G=>XLXN_1046);
   
   XLXI_300 : AND2
      port map (I0=>XLXN_1061,
                I1=>XLXN_1068,
                O=>XLXN_1077);
   
   XLXI_301 : AND2
      port map (I0=>XLXN_1073,
                I1=>XLXN_1072,
                O=>XLXN_1091);
   
   XLXI_302 : INV
      port map (I=>XLXN_1093,
                O=>XLXN_1083);
   
   XLXI_305 : FD4_MXILINX_top2
      port map (C=>XLXN_1129,
                D0=>XLXN_633,
                D1=>XLXN_634,
                D2=>XLXN_781,
                D3=>XLXN_639,
                Q0=>open,
                Q1=>open,
                Q2=>open,
                Q3=>open);
   
   XLXI_306 : FD4_MXILINX_top2
      port map (C=>XLXN_1129,
                D0=>XLXN_510,
                D1=>XLXN_564,
                D2=>XLXN_565,
                D3=>XLXN_566,
                Q0=>rs,
                Q1=>e,
                Q2=>open,
                Q3=>open);
   
   XLXI_308 : INV
      port map (I=>db0_DUMMY,
                O=>boardled1);
   
   XLXI_309 : OR3
      port map (I0=>A1,
                I1=>NAWE,
                I2=>NAMS3,
                O=>XLXN_782);
   
   XLXI_310 : OR3
      port map (I0=>XLXN_1161,
                I1=>NAWE,
                I2=>NAMS3,
                O=>XLXN_1129);
   
   XLXI_311 : INV
      port map (I=>A1,
                O=>XLXN_1161);
   
end BEHAVIORAL;


